Debian Bug report logs - #227879
dialog: Bad dialog presentation linked against libncursesw when using LC_CTYPE=ru_RU.koi8r

version graph

Package: libncursesw5; Maintainer for libncursesw5 is Craig Small <csmall@debian.org>; Source for libncursesw5 is src:ncurses.

Reported by: Sergey Kogan <kogan@sklad.bacon.ru>

Date: Thu, 15 Jan 2004 11:48:05 UTC

Severity: important

Fixed in version ncurses/5.4-3

Done: Daniel Jacobowitz <dan@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Thomas Dickey <dickey@his.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#227879; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Sergey Kogan <kogan@sklad.bacon.ru>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sergey Kogan <kogan@sklad.bacon.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog: Bad dialog presentation linked against libncursesw when using LC_CTYPE=ru_RU.koi8r
Date: Thu, 15 Jan 2004 17:35:39 +0600
Package: dialog
Version: 0.9b-20031207-1
Severity: important

The dialog in debian system running in KOI-8R locale
is badly broken (no box drawing characters, wrong
screen updates, etc...). It irrelevant if you use cyrillic chars
in dialog arguments or not.

I've found two ways to cure a problem:

- Set LC_CTYPE to "C". (Other LC_*/LANG variables seems have no effect on this)

- Build debian src package against libncurses (not 
libncurses-wide version).

I submit this bug against dialog, as this is the easiest way to
see it. Both libncursesw package or even system locales may 
be responsible for bug.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux kogan 2.4.19 #33 Mon Feb 10 19:37:47 OMST 2003 i686
Locale: LANG=ru_RU.koi8r, LC_CTYPE=ru_RU.koi8r

Versions of packages dialog depends on:
ii  debianutils               2.4.2          Miscellaneous utilities specific t
ii  libc6                     2.3.2.ds1-10   GNU C Library: Shared libraries an
ii  libncursesw5              5.3.20030719-4 Shared libraries for terminal hand

-- no debconf information




Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 227879-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@his.com>
Cc: 227879-forwarded@bugs.debian.org, Sergey Kogan <kogan@sklad.bacon.ru>
Subject: Bug#227879: dialog: Bad dialog presentation linked against libncursesw when using LC_CTYPE=ru_RU.koi8r (fwd)
Date: Thu, 15 Jan 2004 20:56:19 +0100 (CET)
Hello.

Received today:

---------- Forwarded message ----------
From: Sergey Kogan <kogan@sklad.bacon.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Date: Thu, 15 Jan 2004 17:35:39 +0600
Subject: Bug#227879: dialog: Bad dialog presentation linked against
    libncursesw when using LC_CTYPE=ru_RU.koi8r

Package: dialog
Version: 0.9b-20031207-1
Severity: important

The dialog in debian system running in KOI-8R locale
is badly broken (no box drawing characters, wrong
screen updates, etc...). It irrelevant if you use cyrillic chars
in dialog arguments or not.

I've found two ways to cure a problem:

- Set LC_CTYPE to "C". (Other LC_*/LANG variables seems have no effect on this)

- Build debian src package against libncurses (not
libncurses-wide version).

I submit this bug against dialog, as this is the easiest way to
see it. Both libncursesw package or even system locales may
be responsible for bug.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux kogan 2.4.19 #33 Mon Feb 10 19:37:47 OMST 2003 i686
Locale: LANG=ru_RU.koi8r, LC_CTYPE=ru_RU.koi8r

Versions of packages dialog depends on:
ii  debianutils               2.4.2          Miscellaneous utilities specific t
ii  libc6                     2.3.2.ds1-10   GNU C Library: Shared libraries an
ii  libncursesw5              5.3.20030719-4 Shared libraries for terminal hand

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#227879; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #13 received at 227879@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 227879@bugs.debian.org
Subject: Re: Bug#227879: dialog: Bad dialog presentation linked against libncursesw when using LC_CTYPE=ru_RU.koi8r
Date: Thu, 15 Jan 2004 15:14:30 -0500 (EST)
On Thu, 15 Jan 2004, Sergey Kogan wrote:

> Package: dialog
> Version: 0.9b-20031207-1
> Severity: important
>
> The dialog in debian system running in KOI-8R locale
> is badly broken (no box drawing characters, wrong
> screen updates, etc...). It irrelevant if you use cyrillic chars
> in dialog arguments or not.

What is $TERM set to?
What terminal emulator (console, xterm, etc), is being used?

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#227879; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to "Sergey A. Kogan" <kogan@sklad.bacon.ru>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #18 received at 227879@bugs.debian.org (full text, mbox):

From: "Sergey A. Kogan" <kogan@sklad.bacon.ru>
To: Thomas Dickey <dickey@his.com>, 227879@bugs.debian.org
Subject: Bug#227879: dialog: Bad dialog presentation linked against libncursesw when using LC_CTYPE=ru_RU.koi8r
Date: Fri, 16 Jan 2004 10:19:11 +0600
On Thu, Jan 15, 2004 at 03:14:30PM -0500, Thomas Dickey wrote:
> What is $TERM set to?
> What terminal emulator (console, xterm, etc), is being used?

$TERM=linux, run dialog in console.

Some new observations:

- In X11 xterm window with $TERM=xterm, dialog linked
against libncurses-wide works fine !

- Even more fun: if I try TERM=xterm in console, dialog paints boxes and
other stuff just fine. But cyrillic chars are not displayed. Even more,
it breaks cyrillic chars display on screen even after it's termination.
I see just blanks on screen instead of cyr. chars. I have to run 
/etc/init.d/console-cyrillic restart to re-enable cyrillic characters.

---
Sincerely yours,
Sergey Kogan



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#227879; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #23 received at 227879@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: "Sergey A. Kogan" <kogan@sklad.bacon.ru>
Cc: 227879@bugs.debian.org
Subject: Re: Bug#227879: dialog: Bad dialog presentation linked against libncursesw when using LC_CTYPE=ru_RU.koi8r
Date: Fri, 16 Jan 2004 06:30:12 -0500 (EST)
On Fri, 16 Jan 2004, Sergey A. Kogan wrote:

> On Thu, Jan 15, 2004 at 03:14:30PM -0500, Thomas Dickey wrote:
> > What is $TERM set to?
> > What terminal emulator (console, xterm, etc), is being used?
>
> $TERM=linux, run dialog in console.

ncursesw has some workarounds for Linux console's broken line-drawing in
UTF-8 mode - I suspect this is related (will have to investigate to see).
It's not an issue with dialog though.

> Some new observations:
>
> - In X11 xterm window with $TERM=xterm, dialog linked
> against libncurses-wide works fine !
>
> - Even more fun: if I try TERM=xterm in console, dialog paints boxes and
> other stuff just fine. But cyrillic chars are not displayed. Even more,
> it breaks cyrillic chars display on screen even after it's termination.
> I see just blanks on screen instead of cyr. chars. I have to run
> /etc/init.d/console-cyrillic restart to re-enable cyrillic characters.

>
> ---
> Sincerely yours,
> Sergey Kogan
>

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#227879; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #28 received at 227879@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 227879@bugs.debian.org
Subject: bug report for dialog
Date: Mon, 1 Mar 2004 21:20:48 -0500
[Message part 1 (text/plain, inline)]
I'm inclined to think this is an ncurses bug.  It is not a dialog bug.
To see this, run the "ncurses" test program, screen 'b' with/without
ncursesw.  In the latter, line-drawing characters do not show.  In
the former, they do.  I tested with this:
	export TERM=linux-koi8
	export LANG=KOI8-R
	consolechars -f koi8-8x16
(I'll test further and determine whether it is ncurses - different to-do list)

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#227879; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #33 received at 227879@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 227879@bugs.debian.org
Subject: Bad dialog presentation linked against libncursesw when using LC_CTYPE=ru_RU.koi8r
Date: Sat, 20 Mar 2004 20:03:43 -0500
[Message part 1 (text/plain, inline)]
This looks like a combination of problems.  It is not a bug in dialog, so
it should be recategorized.  What I find is that under some circumstances
the ctype functions (isprint, etc.,) are saying that the codes in the range
128-159 are nonprinting.  The line-drawing codes for KOI8-R use those values.
Arguably (I agree), ncurses should ignore ctype when handling alternate
character set.  However, what makes that detail visible was an error in the
way I set up the test.  As noted, I set
         export LANG=KOI8-R
and have no other locale-related variables in my environment.
This line in /etc/locale.gen was used to generate the locale:

ru_RU.KOI8-R KOI8-R

However, the first token is the locale - the second is not an alias
for it (I should have read "man locale.gen").  If I set
	export LANG=ru_RU.KOI8-R
then I see printable codes in that range.  There is a further error
though, which is in ncurses.  It makes the check for printability
using wctob() rather than (first) isprint().  I repaired the problem
by making it not fall into that case when it is doing line-drawing.
The fix is in my 20040320 ncurses patch.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `dialog' to `libncursesw5'. Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Daniel Jacobowitz <dan@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sergey Kogan <kogan@sklad.bacon.ru>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 227879-close@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: 227879-close@bugs.debian.org
Subject: Bug#227879: fixed in ncurses 5.4-3
Date: Mon, 22 Mar 2004 17:17:15 -0500
Source: ncurses
Source-Version: 5.4-3

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

libncurses5-dbg_5.4-3_i386.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.4-3_i386.deb
libncurses5-dev_5.4-3_i386.deb
  to pool/main/n/ncurses/libncurses5-dev_5.4-3_i386.deb
libncurses5_5.4-3_i386.deb
  to pool/main/n/ncurses/libncurses5_5.4-3_i386.deb
libncursesw5-dbg_5.4-3_i386.deb
  to pool/main/n/ncurses/libncursesw5-dbg_5.4-3_i386.deb
libncursesw5-dev_5.4-3_i386.deb
  to pool/main/n/ncurses/libncursesw5-dev_5.4-3_i386.deb
libncursesw5_5.4-3_i386.deb
  to pool/main/n/ncurses/libncursesw5_5.4-3_i386.deb
ncurses-base_5.4-3_all.deb
  to pool/main/n/ncurses/ncurses-base_5.4-3_all.deb
ncurses-bin_5.4-3_i386.deb
  to pool/main/n/ncurses/ncurses-bin_5.4-3_i386.deb
ncurses-term_5.4-3_all.deb
  to pool/main/n/ncurses/ncurses-term_5.4-3_all.deb
ncurses_5.4-3.diff.gz
  to pool/main/n/ncurses/ncurses_5.4-3.diff.gz
ncurses_5.4-3.dsc
  to pool/main/n/ncurses/ncurses_5.4-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 227879@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Jacobowitz <dan@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 22 Mar 2004 16:12:36 -0500
Source: ncurses
Binary: ncurses-base lib64ncurses5 libncursesw5-dev libncursesw5-dbg ncurses-bin libncurses5 libncursesw5 libncurses5-dev ncurses-term libncurses5-dbg lib64ncurses5-dev
Architecture: source i386 all
Version: 5.4-3
Distribution: unstable
Urgency: low
Maintainer: Daniel Jacobowitz <ncurses-maint@debian.org>
Changed-By: Daniel Jacobowitz <dan@debian.org>
Description: 
 libncurses5 - Shared libraries for terminal handling
 libncurses5-dbg - Debugging/profiling libraries for ncurses
 libncurses5-dev - Developer's libraries and docs for ncurses
 libncursesw5 - Shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - Debugging/profiling libraries for ncurses
 libncursesw5-dev - Developer's libraries for ncursesw
 ncurses-base - Descriptions of common terminal types
 ncurses-bin - Terminal-related programs and man pages
 ncurses-term - Additional terminal type definitions
Closes: 227879 237629 237831 237870 237997 238718
Changes: 
 ncurses (5.4-3) unstable; urgency=low
 .
   * Apply 20040313 and 20040320 patches from upstream
     (Closes: #237831, #227879).
   * Fix some remaining casts to "char" which need to be "signed char"
     (Closes: #237629, #237870, #238718).
   * Update Eterm terminfo entry to agree with the Debian practice of
     kbs=\177 (Closes: #237997).
Files: 
 cde5b1c7972734b57d07462fe4528b0d 807 libs standard ncurses_5.4-3.dsc
 eee38ef539b6537faa3091ccc85e7e7e 32093 libs standard ncurses_5.4-3.diff.gz
 d178372ed531e3746a6c18699f723b3b 274722 base required libncurses5_5.4-3_i386.deb
 21f17fb618246ccbde3d7659de025306 1038566 libdevel optional libncurses5-dev_5.4-3_i386.deb
 7c43f181148896fa84d5134b8ea4455d 3970426 libdevel extra libncurses5-dbg_5.4-3_i386.deb
 0e75db34ab29234cbac1aa52670ee994 286736 libs standard libncursesw5_5.4-3_i386.deb
 43dfffa864b7cb30b54aa9279f25da5e 396580 libdevel optional libncursesw5-dev_5.4-3_i386.deb
 afb076e1964ce67db180854a796f9395 4437712 libdevel extra libncursesw5-dbg_5.4-3_i386.deb
 7530b24333b0ad8f89ca229b3150e25e 205204 base required ncurses-bin_5.4-3_i386.deb
 75fe6df5354ade22aa515c0e84e23cae 11078 base required ncurses-base_5.4-3_all.deb
 b2ac932b7fb140638f8863fd0702d9ea 278980 admin standard ncurses-term_5.4-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAX2HbbgOPXuCjg3cRAv4vAKCNInN350tU8blIC4HlXRgs3vAlcgCfa64y
u0897iD5W8g9nEoKhFEFA7w=
=mwJO
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:01:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.